com.h3c.of.lib.err

## Enum ECodeMeterModFailed

- java.lang.Object
- - java.lang.Enum<ECodeMeterModFailed>
  - - com.h3c.of.lib.err.ECodeMeterModFailed

- All Implemented Interfaces:
    ErrorCode, OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<ECodeMeterModFailed>

      public enum ECodeMeterModFailed
      extends Enum<ECodeMeterModFailed>
      implements ErrorCode

  Designates the error codes associated with the `ErrorType.METER_MOD_FAILED` error type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_BAND` Band unsupported; Since 1.3.
    `BAD_BAND_VALUE` Band value unsupported; Since 1.3.
    `BAD_BURST` Burst size unsupported; Since 1.3.
    `BAD_COMMAND` Unsupported or unknown command; Since 1.3.
    `BAD_FLAGS` Flag configuration unsupported; Since 1.3.
    `BAD_RATE` Rate unsupported; Since 1.3.
    `INVALID_METER` Meter not added because the meter specified is invalid; Since 1.3.
    `METER_EXISTS` Meter not added because a meter ADD attempted to replace an existing meter; Since 1.3.
    `OUT_OF_BANDS` The maximum number of properties for a meter has been exceeded; Since 1.3.
    `OUT_OF_METERS` No more meters available; Since 1.3.
    `UNKNOWN` Unspecified error; Since 1.3.
    `UNKNOWN_METER` Meter not modified because a meter MODIFY attempted to modify a non-existent meter; Since 1.3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `ErrorType` | `parentType()` Returns the parent error type for this error code.
    `static void` | `validate(ECodeMeterModFailed code, ProtocolVersion pv)` Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
    `static ECodeMeterModFailed` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ECodeMeterModFailed[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ECodeMeterModFailed UNKNOWN

      Unspecified error; Since 1.3.

    - #### METER_EXISTS

          public static final ECodeMeterModFailed METER_EXISTS

      Meter not added because a meter ADD attempted to replace an existing meter; Since 1.3.

    - #### INVALID_METER

          public static final ECodeMeterModFailed INVALID_METER

      Meter not added because the meter specified is invalid; Since 1.3.

    - #### UNKNOWN_METER

          public static final ECodeMeterModFailed UNKNOWN_METER

      Meter not modified because a meter MODIFY attempted to modify a non-existent meter; Since 1.3.

    - #### BAD_COMMAND

          public static final ECodeMeterModFailed BAD_COMMAND

      Unsupported or unknown command; Since 1.3.

    - #### BAD_FLAGS

          public static final ECodeMeterModFailed BAD_FLAGS

      Flag configuration unsupported; Since 1.3.

    - #### BAD_RATE

          public static final ECodeMeterModFailed BAD_RATE

      Rate unsupported; Since 1.3.

    - #### BAD_BURST

          public static final ECodeMeterModFailed BAD_BURST

      Burst size unsupported; Since 1.3.

    - #### BAD_BAND

          public static final ECodeMeterModFailed BAD_BAND

      Band unsupported; Since 1.3.

    - #### BAD_BAND_VALUE

          public static final ECodeMeterModFailed BAD_BAND_VALUE

      Band value unsupported; Since 1.3.

    - #### OUT_OF_METERS

          public static final ECodeMeterModFailed OUT_OF_METERS

      No more meters available; Since 1.3.

    - #### OUT_OF_BANDS

          public static final ECodeMeterModFailed OUT_OF_BANDS

      The maximum number of properties for a meter has been exceeded; Since 1.3.

  - ### Method Detail

    - #### values

          public static ECodeMeterModFailed[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ECodeMeterModFailed c : ECodeMeterModFailed.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ECodeMeterModFailed valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parentType

          public ErrorType parentType()

      Description copied from interface: `ErrorCode`
      Returns the parent error type for this error code.
      Specified by:
        `parentType` in interface `ErrorCode`
      Returns:
        the parent error type

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

    - #### validate

          public static void validate(ECodeMeterModFailed code,
                      ProtocolVersion pv)

      Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
      Parameters:
        `code` - the code
        `pv` - the protocol version
      Throws:
        `VersionMismatchException` - if the code is not defined in the given protocol version

Copyright © 2014. All Rights Reserved.